<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.example.moviesharing.ui.moviedetails.MovieDetailsViewModel" />

    </data>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.ConstraintLayout xmlns:tools="http://schemas.android.com/tools"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:context=".ui.moviedetails.MovieDetailsActivity">

            <TextView
                android:id="@+id/movie_title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:elevation="2dp"
                android:padding="8dp"
                android:textColor="@color/textLight"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="@id/bg_image_layout"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/thumbnail_layout"
                tools:text="Test" />

            <FrameLayout
                android:id="@+id/bg_image_layout"
                android:layout_width="match_parent"
                android:layout_height="144dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/bg_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="centerCrop" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/gradient_black" />
            </FrameLayout>

            <androidx.cardview.widget.CardView
                android:id="@+id/thumbnail_layout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                app:layout_constraintBottom_toBottomOf="@id/bg_image_layout"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/bg_image_layout">

                <ImageView
                    android:id="@+id/thumbnail"
                    android:layout_width="150dp"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true" />
            </androidx.cardview.widget.CardView>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="16dp"
                app:layout_constraintBottom_toBottomOf="@id/thumbnail_layout"
                app:layout_constraintStart_toEndOf="@id/thumbnail_layout"
                app:layout_constraintTop_toBottomOf="@id/bg_image_layout">

                <ImageView
                    android:id="@+id/rating_star_1"
                    style="@style/RatingButton"
                    android:layout_height="wrap_content"
                    android:contentDescription="@string/ratein_button_1"
                    android:src="@drawable/ic_star"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/rating_star_2"
                    style="@style/RatingButton"
                    android:layout_height="wrap_content"
                    android:contentDescription="@string/ratein_button_2"
                    android:src="@drawable/ic_star"
                    app:layout_constraintStart_toEndOf="@id/rating_star_1"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/rating_star_3"
                    style="@style/RatingButton"
                    android:layout_height="wrap_content"
                    android:contentDescription="@string/ratein_button_3"
                    android:src="@drawable/ic_star"
                    app:layout_constraintStart_toEndOf="@id/rating_star_2"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/rating_star_4"
                    style="@style/RatingButton"
                    android:layout_height="wrap_content"
                    android:contentDescription="@string/ratein_button_4"
                    android:src="@drawable/ic_star"
                    app:layout_constraintStart_toEndOf="@id/rating_star_3"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/rating_star_5"
                    style="@style/RatingButton"
                    android:layout_height="wrap_content"
                    android:contentDescription="@string/ratein_button_5"
                    android:src="@drawable/ic_star"
                    app:layout_constraintStart_toEndOf="@id/rating_star_4"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/text_movie"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="16dp"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/thumbnail_layout" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</layout>